
/*     *******************************************************************************
	XVisual GUI Development System for Linux/X-Window
	Copyright (C) 1996 Steve Carrie.

        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
        ******************************************************************************* */

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw3d/Box.h>
#include <X11/xv/xvCore.h>
#include <X11/xv/xvBox.h>

// ---------------------------------------------

xvBox::xvBox()
{
	alloc=FALSE;
}

// ---------------------------------------------

xvBox::xvBox(String name, xvCore & parent)
{
	init(name, parent);
}

// ---------------------------------------------

xvBox::~xvBox()
{
	if (alloc) XtDestroyWidget(w);
}

// ---------------------------------------------

void xvBox::init(String name, xvCore & parent)
{
	w=XtVaCreateManagedWidget(name, boxWidgetClass, parent.ID(),
			NULL);
	alloc=TRUE;
}

// ---------------------------------------------

	